> For the complete documentation index, see [llms.txt](https://docs.everos.dev/ever-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.everos.dev/ever-sdk/reference/error_codes.md).

# Error Codes

You can find error codes with descriptions on this page

* [SDK Errors](#sdk-errors)
* [Solidity Runtime Errors](#solidity-runtime-errors)
* [TON Virtual Machine Runtime Errors](#ton-virtual-machine-runtime-errors)
  * [Action phase errors](#action-phase-errors)

## SDK Errors

[Client Error codes (1-99)](https://docs.everos.dev/ever-sdk/reference/types-and-methods/mod_client#clienterrorcode)

[Crypto Error codes (100-199)](https://docs.everos.dev/ever-sdk/reference/types-and-methods/mod_crypto#cryptoerrorcode)

[Boc error codes(200-299)](https://docs.everos.dev/ever-sdk/reference/types-and-methods/mod_boc#bocerrorcode)

[Abi Error codes (300-399)](https://docs.everos.dev/ever-sdk/reference/types-and-methods/mod_abi#abierrorcode)

[TVM Error codes (400-499)](https://docs.everos.dev/ever-sdk/reference/types-and-methods/mod_tvm#tvmerrorcode)

[Processing Error codes (500-599)](https://docs.everos.dev/ever-sdk/reference/types-and-methods/mod_processing#processingerrorcode)

[Net Error Codes (600-699)](https://docs.everos.dev/ever-sdk/reference/types-and-methods/mod_net#neterrorcode)

[DeBot Error Codes (800-899)](https://docs.everos.dev/ever-sdk/reference/types-and-methods/mod_debot#deboterrorcode)

## Solidity Runtime Errors

<https://github.com/everx-labs/TVM-Solidity-Compiler/blob/master/API.md#solidity-runtime-errors>

## TON Virtual Machine Runtime Errors

`0` TVM terminated successfully

`-2` TVM terminated successfully: alternative code

`-3` Stack underflow

`-4` Stack overflow

`-5` Integer overflow

`-6` Range check error

`-7` Invalid opcode

`-8` Type check error

`-9` Cell overflow

`-10` Cell underflow

`-11` Dictionary error

`-12` Unknown error

`-13` Fatal error

`-14` Out of gas: the contract is either low on gas, or its limit is exceeded

### Action phase errors

`32` Action list invalid

`33` Too many actions

`34` Unsupported action

`35` Invalid source address

`36` Invalid destination address

`37` Too low balance to send outbound message (37) at action

`38` Too low extra to send outbound message (38) at action

`39` Message does not fit in buffer

`40` Message too large

`41` Library not found

`42` Library delete error


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.everos.dev/ever-sdk/reference/error_codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
